package diode;

// A generic interface for computing currents through diodes
// and currents through a series circuit of diode and resistor
// as function of applied voltage.
public interface Diode {
	public double computeCurrent(double V);
	public double computeCurrent_with_resistor(double V, double R);
}
